# OSGeo::FDO::Xml::XmlSerializable Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlSerializable:

[legend]

List of all members.

## Detailed Description

XmlSerializable provides the ability to serialize an FDO object to an XML Document. Serialization support can be added to any class by basing it on XmlSerializable and implementing the _writeXml callback.

()

## Public Member Functions
OSGeo::FDO::Common::Xml::XmlReader * | GetFromInternalStylesheet ()
| Gets the stylesheet for converting the XML document from internal to external format. When classes derived from XmlSerializable define an internal format, they must override this function to return a stylesheet that does the conversion.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (String *fileName, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes this object to a file. A complete XML document, containing this object, is written.
System::Void | WriteXml (String *fileName)
| Writes this object to a file. A complete XML document, containing this object, is written.